import { HttpClient } from "@angular/common/http";
import { AppletCatalogContainerModel } from "../../../../../models";
import { ApiVisa, BaseApiTemplateService, BasicApiResponseModel, Pagination, PagingResponseModel } from '../shared';
import { Observable } from "rxjs";
export declare class AppletToCatalogLinkService extends BaseApiTemplateService<AppletCatalogContainerModel> {
    protected apiUrl: string;
    constructor(http: HttpClient);
    sysadminPost(dtoObject: AppletCatalogContainerModel, apiVisa: ApiVisa): Observable<BasicApiResponseModel<AppletCatalogContainerModel>>;
    sysadminPut(dtoObject: AppletCatalogContainerModel, apiVisa: ApiVisa): Observable<BasicApiResponseModel<AppletCatalogContainerModel>>;
    sysadminDelete(linkGuid: string, apiVisa: ApiVisa): Observable<Object>;
    sysadminGetAll(apiVisa: ApiVisa): Observable<Object>;
    sysadminGetByGuid(linkGuid: string, apiVisa: ApiVisa): Observable<BasicApiResponseModel<AppletCatalogContainerModel>>;
    sysadminGetByCriteria(pagination: Pagination, apiVisa: ApiVisa): Observable<PagingResponseModel<AppletCatalogContainerModel>>;
    getByCriteriaAsSysAdmin(pagination: Pagination, apiVisa: ApiVisa): Observable<PagingResponseModel<AppletCatalogContainerModel>>;
    getByCriteriaAsTenantAdmin(pagination: Pagination, apiVisa: ApiVisa): Observable<PagingResponseModel<AppletCatalogContainerModel>>;
    getByGuidAsTenantAdmin(guid: String, apiVisa: ApiVisa): Observable<BasicApiResponseModel<AppletCatalogContainerModel>>;
    createAsTenantAdmin(dao: AppletCatalogContainerModel, apiVisa: ApiVisa): Observable<BasicApiResponseModel<AppletCatalogContainerModel>>;
    updateAsTenantAdmin(dao: AppletCatalogContainerModel, apiVisa: ApiVisa): Observable<BasicApiResponseModel<AppletCatalogContainerModel>>;
    deleteAsTenantAdmin(guid: String, apiVisa: ApiVisa): Observable<Object>;
}
